import {fwoId, mwoId, productId, wksId} from './id'
import {ErrorType} from './error'

type MwoType = {
    id: mwoId
    fwoId: fwoId
    productId: productId
    quantity: number
    measurementUnit: string
    startPlanned: Date | null
    dueDate: Date
    buyer: string
    status: string
    fwoDuration: number
    routingId: number
    sequence: number
    wksId: wksId
    description: string
    duration: number
    /*type: string
    par1: string
    par2: string*/


    predecessors: mwoId | null
    //successors: IdMwo[]

    startPlannedLocked: boolean
    //startActual: Date | null
    //endActual: Date | null
    endDate: Date | null
    // css: string
    //modifyingPerson: IdPerson | null
    //modifyingDate: Date | null
    errors: ErrorType[]
    comment: string
    // fastErrors: ErrorType[] //eventually it will probably be needed
    // to separate between errors found on backend and errors found on front.
}

export type {
    MwoType
}