import React, {useState} from 'react'
import {autoPlanStateType, MainTab, setPlanStateType, SwitchTabType} from "../App";

function MainTabs(props: { switchTab: SwitchTabType }) {
    const [activeTab, setActiveTab] = useState(MainTab.Timeline)

    return (
        <div id='mainTabs'>
            <button className={activeTab === MainTab.Timeline ? 'tabMain-active' : 'tabMain'}
                    onClick={() => {
                        props.switchTab(MainTab.Timeline)
                        setActiveTab(MainTab.Timeline)
                    }}>
                Timeline
            </button>

            <button className={activeTab === MainTab.GridMwos ? 'tabMain-active' : 'tabMain'}
                    onClick={() => {
                        props.switchTab(MainTab.GridMwos)
                        setActiveTab(MainTab.GridMwos)
                    }}>
                Work orders
            </button>

            <button className={activeTab === MainTab.GridStocks ? 'tabMain-active' : 'tabMain'}
                    onClick={() => {
                        props.switchTab(MainTab.GridStocks)
                        setActiveTab(MainTab.GridStocks)
                    }}>
                Stocks
            </button>
        </div>

    )
}


type PropsType = {
    switchTab: SwitchTabType
}

function Header(props: PropsType) {
    return (
        <div id='header'>
            <MainTabs
                switchTab={props.switchTab}
            />
        </div>

    )
}

export default Header